GPROFNG-DISPLAY-HTML(1)

NAME
gprofng-display-html - Generate an HTML based directory structure to browse the profiles

SYNOPSIS
gprofng display html [option(s)] experiment(s)

DESCRIPTION
Process one or more experiments to generate a directory containing the index.html file that may be used to browse the experiment data.

OPTIONS

--version
    Print the version number and exit.

--help
    Print usage information and exit.

--verbose
    Enable verbose mode to show diagnostic messages about the processing of the data. By default verbose mode is disabled.

-d [db-vol-size], --debug[=db-vol-size]
    Control the printing of run time debug information to assist with the troubleshooting, or further development of this tool.

    The db-vol-size parameter controls the output volume and is one from the list s, S, m, M, l, L, xl, or XL. If db-vol-size is not set, a modest amount of information is printed. This is equivalent to select s, or S. The volume of data goes up as the size increases. Note that currently l/L is equivalent to xl/XL, but this is expected to change in future updates. By default debug mode is disabled.

--highlight-percentage=value
    Set a percentage value in the interval [0,100] to select and color code source lines, as well as instructions, that are within this percentage of the maximum metric value(s). The default is 90 (%). A value of zero disables this feature.

-o dirname, --output=dirname
    Use dirname as the directory name to store the results in. In absence of this option, the default name is display.<n>.html. This directory is created in the current directory. The number <n> is the first positive integer number not in use in this naming scheme. An existing directory with the same name is not overwritten. In case the directory exists already, an error message is printed and the tool terminates.

-O dirname, --overwrite=dirname
    Use dirname as the directory name to store the results in. In absence of this option, the default name is display.<n>.html. This directory is created in the current directory. The number <n> is the first positive integer number not in use in this naming scheme. An existing directory with the same name is silently overwritten.

-q,  --quiet
    Disable the display of all warning, debug, verbose and any other messages. If enabled, the settings for verbose and debug are accepted, but ignored. With this option, there is no screen output, other than errors. By default quiet mode is disabled.

--nowarnings
    Disable the printing of warning messages on stdout. By default warning messages are printed.

NOTES

-   The options and values are case sensitive.

-   In this release, the option syntax has changed to be more compliant with other tools and commands.

    The options that used to have an on or off value only, now act as a switch. The option negates the default setting. For example, by default, verbose mode is disabled. It is enabled by using the --verbose option.

    The long options, those starting with "--", that require a value, expect the "=" sign between the option and the value.

    While the previous syntax and choices are accepted still, we strongly recommend to change the usage of the options according to the new syntax and values. At some point, these legacy settings may no longer be accepted.

    To assist with the transition, a warning message is shown if the legacy syntax, or value, or both, are used.

-   The -hp option is still accepted, but it will be deprecated in a future release. Use the --highlight-percentage option instead.

-   When setting a directory name for the HTML files to be stored in, make sure that umask is set to the correct access permissions.

-   Regardless of the setting for the warning messages, if there are warnings, they are accessible through the main index.html page.

-   The tool tries to accumulate as many warnings and errors as possible, before taking action. In this way, it is easier to address multiple issues at once. As a result of this approach, it may be that the messages do not show immediately. In particular, warnings are shown towards the end of the execution, but one or more errors will terminate execution before the processing begins.

SEE ALSO
gprofng(1), gprofng-archive(1), gprofng-collect-app(1), gprofng-display-src(1), gprofng-display-text(1)

The user guide for gprofng is maintained as a Texinfo manual. If the info and gprofng programs are correctly installed, the command info gprofng should give access to this document.

COPYRIGHT
Copyright (c) 2022-2026 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".